# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate url

Name:           rust-%{crate}
Version:        1.7.2
Release:        1%{?dist}
Summary:        URL library for Rust, based on the WHATWG URL Standard

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/url
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Exclude CI files, https://github.com/servo/rust-url/pull/467
Patch0:         url-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(encoding/default) >= 0.2.0 with crate(encoding/default) < 0.3.0)
BuildRequires:  (crate(heapsize/default) >= 0.4.1 with crate(heapsize/default) < 0.5.0)
BuildRequires:  (crate(idna/default) >= 0.1.0 with crate(idna/default) < 0.2.0)
BuildRequires:  (crate(matches/default) >= 0.1.0 with crate(matches/default) < 0.2.0)
BuildRequires:  (crate(percent-encoding/default) >= 1.0.0 with crate(percent-encoding/default) < 2.0.0)
BuildRequires:  (crate(rustc-serialize/default) >= 0.3.0 with crate(rustc-serialize/default) < 0.4.0)
BuildRequires:  (crate(serde/default) >= 0.6.1 with crate(serde/default) < 0.9.0)
%if %{with check}
BuildRequires:  (crate(bencher/default) >= 0.1.0 with crate(bencher/default) < 0.2.0)
BuildRequires:  (crate(rustc-serialize/default) >= 0.3.0 with crate(rustc-serialize/default) < 0.4.0)
BuildRequires:  (crate(rustc-test/default) >= 0.3.0 with crate(rustc-test/default) < 0.4.0)
BuildRequires:  (crate(serde_json/default) >= 0.6.1 with crate(serde_json/default) < 0.9.0)
%endif

%global _description \
URL library for Rust, based on the WHATWG URL Standard.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md UPGRADING.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+encoding-devel %{_description}

This package contains library source intended for building other packages
which use "encoding" feature of "%{crate}" crate.

%files       -n %{name}+encoding-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+heap_size-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heap_size-devel %{_description}

This package contains library source intended for building other packages
which use "heap_size" feature of "%{crate}" crate.

%files       -n %{name}+heap_size-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+heapsize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapsize-devel %{_description}

This package contains library source intended for building other packages
which use "heapsize" feature of "%{crate}" crate.

%files       -n %{name}+heapsize-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+query_encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+query_encoding-devel %{_description}

This package contains library source intended for building other packages
which use "query_encoding" feature of "%{crate}" crate.

%files       -n %{name}+query_encoding-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rustc-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-serialize-devel %{_description}

This package contains library source intended for building other packages
which use "rustc-serialize" feature of "%{crate}" crate.

%files       -n %{name}+rustc-serialize-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.1-5
- Adapt to new packaging

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.1-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.1-2
- Do not ignore test results

* Fri Jul 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1

* Tue Mar 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.0-2
- Bump rustc-test to 0.3

* Wed Feb 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-2
- Rebuild for rust-packaging v5

* Fri Nov 10 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Initial package
